Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## LumiSoft.Data
Class DataRow

    java.lang.Object
      LumiSoft.Data.DataRow

    public class DataRow

extends java.lang.Object

Author:
  Ivar To change the template for this generated type comment go to Window>Preferences>Java>Code Generation>Code and Comments

Method Summary
`java.lang.Object` | `get(DataColumn column)` Gets the data stored in the specified DataColumn.
`java.lang.Object` | `get(int fieldIndex)` Gets or sets the data stored in the column specified by index.
`java.lang.Object` | `get(java.lang.String fieldName)` Gets data stored in a specified column.
`java.lang.Object[]` | `getItemArray()` Gets all of the values for this row through an array.
`DataTable` | `getTable()` Gets the DataTable for which this row has a schema.
`void` | `set(java.lang.String fieldName, java.lang.Object value)`
`void` | `setItemArray(java.lang.Object[] value)` Sets all of the values for this row through an array.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### get

    public java.lang.Object get(java.lang.String fieldName)

  Gets data stored in a specified column.

  Parameters:
    `fieldName` -
  Returns:

### get

    public java.lang.Object get(int fieldIndex)

  Gets or sets the data stored in the column specified by index.

  Parameters:
    `fieldIndex` -
  Returns:

### get

    public java.lang.Object get(DataColumn column)

  Gets the data stored in the specified DataColumn.

  Parameters:
    `column` -
  Returns:

### set

    public void set(java.lang.String fieldName,
                    java.lang.Object value)

  Parameters:
    `fieldName` -
    `value` -

### getItemArray

    public java.lang.Object[] getItemArray()

  Gets all of the values for this row through an array.

  Returns:

### setItemArray

    public void setItemArray(java.lang.Object[] value)

  Sets all of the values for this row through an array.

  Parameters:
    `value` -

### getTable

    public DataTable getTable()

  Gets the DataTable for which this row has a schema.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD